Subject: Re: FW: ssthressh

From: Randall Stewart <[email-masked]>
Date: Tue, 12 Jul 2005 12:27:55 -0400

Mark Allman wrote:
>>Soo... if I understand your point here its that:
>>
>>a) a multi-homed SCTP flow, using both destinations to
>>    send data to would have two cwnds.. so if these two
>>    shared a bottleneck they get 2/Nths the b/w if following
>>    RFC2960 CC.
>>
>>b) In contrast the other TCP flow gets 1/Nth the b/w since
>>    it uses the same algorithm but has only one set of
>>    cwnd parameters..
>>
>>So, if there are three flows in this bottleneck, one from
>>a TCP flow, and two from a single SCTP association that
>>has the shared bottleneck dumb-bell... SCTP would get
>>as I expected 2/3 of the b/w vs 1/3 for the  TCP flow...
>>
>>I think it basically centers around the fact that you
>>are keeping two sets of cwnd variables and applying
>>CC to each independantly.. 
> 
> 
> Yes to all of the above.
> 
> 
>>now I suppose if you were to have only ONE cwnd and apply a loss to
>>either destination as the same... then you would respond fairly.. 
> 
> 
> Indeed.  And, I think this is what Brian is trying to say.

So the real question for Brian then.. is when he
does his CMT thing...

does he maintain
dest <AA>
----
IP-A    -- cwnd1/ssthresh1
and
IP-B    -- cwnd2/ssthresh2

OR

dest <BB>
---
IP-A   -- cwnd1/ssthresh1
IP-B   -- cwnd1/ssthresh1

------------------------

And if he does do <AA> what is different from 2960 CC that
makes it so it does not unfairly get the b/w

and if <BB> what would make it (on the non-dumbbell case) get
better performance...

R

> 
> 
>>but of course you would also do worse where you did not have the
>>shared bottle neck.. not exactly what you want :-D
> 
> 
> Exactly.
> 
> allman
> 
> 
> 

-- 
Randall Stewart
ITD - Cisco Systems Inc.
803-345-0369 <or> 815-342-5222 (cell)